from enum import Enum


class TypeDroit(Enum):
    PRIVE = ("C2031", "C2032", "C2033", "C2034", "C2035", "C2057", "C2058", "C0800", "C1001", "C1002", "C1003", "C1004")


# Liste des contractuels
class SousCategorie(Enum):
    BIATSS = (
        "C2032",
        "C0800",
        "C2048",
        "C0323",
        "C2041",
    )
    ENSEIGNANT_CHERCHEUR = (
        "C0604",  # Assistant des hopitaux
        "C0301",  # ATER
        "C2001",  # ATER
        "C0603",  # Chef de clinique
        "C2029",  # Chef de clinique
        "C0322",  # Doctorants
        "C2053",  # Doctorants
        "C2042",  # Lecteur
        "C2046",  # Lecteur
        "C2008",  # MCF associés TP
        "C2009",  # PAST
        "C2006",  # PAST
        "C2007",  # PAST
        "C2064",  # PAST
        "C2065",  # PAST
        "C2017",  # hospitalo univ
        "C2018",  # hospitalo univ
        "C2015",  # hospitalo univ
        "C2016",  # hospitalo univ
        "C2051",  # Professeurs contractuels
        "C2049",  # Professeurs contractuels
        "C2050",  # Professeurs contractuels
        "C2038",  # Vac. enseignant
        "C2052",  # Vac. enseignant
        "C2054",  # Vac. enseignant
        "C2055",  # Vac. enseignant
        "C2056",  # Vac. enseignant
    )
