import os
from datetime import datetime
from pathlib import Path

APPLICATION: str = "pyetl"

# TODO : Pour hypothétiquement le chiffremeent des données
TOKEN: str = "UGEga2FwYWIgbMOpIG1vciBzYW4gM3NzYXnDqSE="

# TODO : Pour un jeu basé sur le chiffrement et le nombre de lettre que compose les dieux
DIVINITE: list[str] = [
    "thor",
    "loki",
    "odin",
    "hela",  # Nordique
    "athena",
    "hermes",
    "cronos",
    "hypnos",  # Grecque
    "horus",
    "atoum",
    "baalat",
    "kekou",
]  # Egyptienne

# Version
VERSION: str = "0.8.1"

PROJECT_PATH: str = Path(__file__).parents[1].resolve()

# ##################################################################################### #
# mini base de donnée
# ... tinydb
MINIDB: str = f"{PROJECT_PATH}/config/minidb.json"
# ... table sihamapi pour la gestion du token
TABLE_SIHAMAPI: str = "siham_api"
# ... table ohris pour la getion des données pour l'application ohris
TABLE_OHRIS: str = "ohris"
# ##################################################################################### #

# ##################################################################################### #
# Chemin des dossiers
CONFIG: str = f"{PROJECT_PATH}/config"
OUTPUT: str = f"{PROJECT_PATH}/output"
TMP: str = f"{PROJECT_PATH}/tmp"
BACKUP: str = f"{PROJECT_PATH}/backup"
# ##################################################################################### #

# ##################################################################################### #
# SIHAM_API
SIHAMAPI_HOST: str = os.environ.get("API2023_HOST")
SIHAMAPI_USER: str = os.environ.get("API2023_USER")
SIHAMAPI_PASSWORD: str = os.environ.get("API2023_PASS")
# ##################################################################################### #

# ##################################################################################### #
# NOTIFICATION
# ... mail
MAIL: dict[str] = {
    "SMTP_HOST": os.environ.get("SMTP_HOST"),
    "SMTP_PORT": os.environ.get("SMTP_PORT"),
    "SMTP_LOGIN": os.environ.get("SMTP_AUTH_LOGIN"),
    "SMTP_PASSWORD": os.environ.get("SMTP_AUTH_PASS"),
    "SENDER": "noreply+pyetl@univ-reunion.fr",
    "RECEIVER": os.environ.get("EMAIL_RECIPIENT"),
}

DEFAUT_MAIL_DEST: str = "christophe.damour@univ-reunion.fr"
SYNCHRO_MAIL_DEST: str = f"{DEFAUT_MAIL_DEST},nicolas.dereeper@univ-reunion.fr"
GPUC_MAIL_DEST: str = f"{DEFAUT_MAIL_DEST},olivier.hoarau@univ-reunion.fr"
# ##################################################################################### #


# ##################################################################################### #
# APP
# ... Date du jour au format YYYYmmdd
DATE_DU_JOUR: str = datetime.now().strftime("%Y%m%d")
# ... nom du fichier de log pour les synchros
LDHAM_LOG: str = "ldam"
SIDAP_LOG: str = "sidap"
GPUC_LOG: str = "gpuc"
# ##################################################################################### #
