import os

from pyetl.config.global_settings import BACKUP, DEFAUT_MAIL_DEST

# Chemin des dossiers
GPUC_STRUCTURE: str = f"{BACKUP}/structure"
GPUC_EMPLOYEE: str = f"{BACKUP}/employee"

# SFTP Gpuc
SFTP_GPUC: dict[str] = {
    "SFTP_HOST": os.environ.get("SFTP_GPUC_HOST"),
    "SFTP_PORT": os.environ.get("SFTP_GPUC_PORT"),
    "SFTP_USERNAME": os.environ.get("SFTP_GPUC_USERNAME"),
    "SFTP_PASSWORD": os.environ.get("SFTP_GPUC_PASSWORD"),
    "PATH_FPROD": "/var/www/html/synchronisation",
    "PATH_FOTHER": "",
    "SSH_PPK": os.environ.get("SSH_GPUC_PPK"),
}

# ... adresse notification mail
GPUC_MAIL_DEST: str = f"{DEFAUT_MAIL_DEST},olivier.hoarau@univ-reunion.fr"
